module testcase (CLK, INA, SEL, OUTA);

input  CLK;
input  INA;
input  SEL;
output OUTA;
  
wire n1;
wire n2;
wire muxout;

  ### BUFFER DELAY CELL TYPE ###    del1_inst ( .IN ( CLK ) , .OUT ( n1 ) ) ;
    
  ### MUX2:1 CELL TYPE ###          mux1_inst ( .IN1 ( CLK ) , .IN2 ( n1 ) , .SELECT ( SEL ) , .OUT ( muxout ) ) ; 
  
  ### FLIPFLOP D CELL TYPE ###      dff1_inst ( .IN ( INA ) , .CLOCK ( muxout ) , .OUT ( n2 )   ) ;  
  ### FLIPFLOP D CELL TYPE ###      dff2_inst ( .IN ( n2 ) ,  .CLOCK ( muxout ) , .OUT ( OUTA ) ) ;  
  
endmodule
